Bug 171336 - Review Request: ldns
Summary: Review Request: ldns
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: David Lawrence
URL: http://www.nlnetlabs.nl/ldns/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-10-20 21:14 UTC by Paul Wouters
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-30 02:24:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cleaned up ldns.spec file (1.96 KB, text/plain)
2005-12-11 23:29 UTC, Tom "spot" Callaway
no flags Details

Description Paul Wouters 2005-10-20 21:14:44 UTC
Spec Name or Url: ftp://ftp.xelerance.com/ldns/binaries/fedora/4/ldns.spec
SRPM Name or Url: ftp://ftp.xelerance.com/ldns/binaries/fedora/4/ldns-1.0.0-4.src.rpm
Description:ldns is a library with the aim to simplify DNS programing in C. All
lowlevel DNS/DNSSEC operations are supported. We also define a higher
level API which allows a programmer to (for instance) create or sign
packets.

Comment 1 Tom "spot" Callaway 2005-12-11 23:21:59 UTC
Again, I made some minor cleanups:

- used %{?dist} (not mandatory)
- moved rm -rf %{buildroot} from %prep to %install
- # remove .la files
  rm -rf %{buildroot}%{_libdir}/*.la
- %{_mandir}/*/* doesn't need to be marked as %doc
- nuked empty %pre
- used %post -p /sbin/ldconfig
- used %postun -p /sbin/ldconfig
- no need for explicit "Requires: openssl", libcrypto.so.6 is detected as a dep
- ldns is not LGPL, it is BSD

Besides those minor items, it looked good. The library doesn't use versioned .so
files correctly, so its alright to have the .so files in the main package
instead of the usual split. I'm going to attach my cleaned-up spec, the review
is based on my spec. 

Good:

- rpmlint checks return:
W: ldns devel-file-in-non-devel-package /usr/lib/libldns.so
If libldns.so.1.0.0 existed, then I would want libldns.so in -devel, but since
it doesn't... safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

APPROVED (assuming that you use my spec file changes)

Comment 2 Tom "spot" Callaway 2005-12-11 23:29:24 UTC
Created attachment 122113 [details]
cleaned up ldns.spec file

Comment 3 Paul Wouters 2005-12-13 01:37:31 UTC
Thanks,

incorporated and made new srpm and spec file:

ftp://ftp.xelerance.com/ldns/binaries/fedora/4/SRPMS/ldns.spec
ftp://ftp.xelerance.com/ldns/binaries/fedora/4/SRPMS/ldns-1.0.0-5.src.rpm

No changes from my end. So I will put this in FE once I gained access.

Comment 4 Tom "spot" Callaway 2005-12-13 01:59:47 UTC
Paul, you should already have access. This package (and nsd) are approved.


Note You need to log in before you can comment on or make changes to this bug.